#ifndef _COLOR_TOOLS_H
#define _COLOR_TOOLS_H


class HUE_PALLET_DISPENSER {
  public:
    float range = 1.0;
    float hueIncrement = 1.0;
    float currHue = 1.0;
    int hueIndex = 0;
    int hueSteps = 1;
    float startHue = 0;

    //HUE_PALLET_DISPENSER(float hue1, float hue2, int colSteps);
    HUE_PALLET_DISPENSER(void);
    void Initialize(float hue, float range, int colSteps);
    int GetNextPalletHue(void);
    float PeekNextPalletHue(int offset);
    void SetHueIndex(int hueIndex);
  private:
};

enum SPEED_PROFILE {SPEED_SIMPLE, SPEED_SQUARE, SPEED_LIN_ACCEL};

class SPEED_DISPENSER{
  public:

  SPEED_DISPENSER(void);

  void Initialize(int min, int max, int steps, SPEED_PROFILE prof);
  int GetNextSpeedInterval(void);
};





#endif